Subject: Re: bug#13787: 24.2; Call to package-install during byte compilation returns non-zero exit status
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sat, 23 Feb 2013 16:14:41 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.4

Jon Dufresne wrote:

> I have one init.el that I share across many installations of Emacs.
> There are several third party packages in repositories that I rely on.
> When I pass the init.el to a new Emacs installation, I build it using a
> Makefile. My goal is to byte compile the init.el file and install all
> required third party packages.

I still don't see the need for the eval-and-compile. Why not compile it
(leaving aside the fact that compiling ~/.emacs is a waste of time IMO),
then load it?

Anyway, I installed a fix.